#pragma once
#include <map>
struct Fish_ActivityKillCrabRankRewardCFGData
{
	//ID
	int mID;
	//开始排名
	int mStartRank;
	//结束排名
	int mEndRank;
	//奖励道具列表，填写M_ItemCFG中的道具ID
	std::vector<int> mRewardList;
	//奖励数量
	std::vector<int> mRewardCount;
};

class Fish_ActivityKillCrabRankRewardCFG
{
public:
private:
	static std::auto_ptr<Fish_ActivityKillCrabRankRewardCFG> msSingleton;
public:
	int GetCount();
	const Fish_ActivityKillCrabRankRewardCFGData* GetData(int ID);
	const std::map<int, Fish_ActivityKillCrabRankRewardCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static Fish_ActivityKillCrabRankRewardCFG* GetSingleton();
	static void Release();
private:
	std::map<int, Fish_ActivityKillCrabRankRewardCFGData> mMapData;
};
